VirtualBox Main API

Public Attributes | List of all members
ICanShowWindowEvent Interface Reference

Notification when a call to IMachine::canShowConsoleWindow is made by a front-end to check if a subsequent call to IMachine::showConsoleWindow can succeed. More...

Inheritance diagram for ICanShowWindowEvent:

## Public Attributes
readonly attribute boolean | midlDoesNotLikeEmptyInterfaces
Public Attributes inherited from IEvent
readonly attribute VBoxEventType | type
| Event type.
readonly attribute IEventSource | source
| Source of this event.
readonly attribute boolean | waitable
| If we can wait for this event being processed.

## Additional Inherited Members
Public Member Functions inherited from IVetoEvent
void | addVeto (in wstring reason)
| Adds a veto on this event.
void | isVetoed ([retval] out boolean result)
| If this event was vetoed.
void | getVetos ([retval] out wstring[] result)
| Current veto reason list, if size is 0 - no veto.
void | addApproval (in wstring reason)
| Adds an approval on this event.
void | isApproved ([retval] out boolean result)
| If this event was approved.
void | getApprovals ([retval] out wstring[] result)
| Current approval reason list, if size is 0 - no approvals.
Public Member Functions inherited from IEvent
void | setProcessed ()
| Internal method called by the system when all listeners of a particular event have called IEventSource::eventProcessed.
void | waitProcessed (in long timeout, [retval] out boolean result)
| Wait until time outs, or this event is processed.

## Detailed Description

Notification when a call to IMachine::canShowConsoleWindow is made by a front-end to check if a subsequent call to IMachine::showConsoleWindow can succeed.

The callee should give an answer appropriate to the current machine state using event veto. This answer must remain valid at least until the next machine state change.

Interface ID:
  `{ADF292B0-92C9-4A77-9D35-E058B39FE0B9}`

## Member Data Documentation

## ◆ midlDoesNotLikeEmptyInterfaces

readonly attribute boolean ICanShowWindowEvent::midlDoesNotLikeEmptyInterfaces